Index: src/sharingmatrix/cz/vity/freerapid/plugins/services/sharingmatrix/SharingMatrixFileRunner.java
===================================================================
--- src/sharingmatrix/cz/vity/freerapid/plugins/services/sharingmatrix/SharingMatrixFileRunner.java	(revision 2406)
+++ src/sharingmatrix/cz/vity/freerapid/plugins/services/sharingmatrix/SharingMatrixFileRunner.java	(working copy)
@@ -184,22 +184,26 @@
     private void checkNameAndSize() throws ErrorDuringDownloadingException {
         final String contentAsString = getContentAsString().replaceAll("&nbsp;", " ");
         try {
-            PlugUtils.checkName(httpFile, contentAsString, "Filename:</th>\n<td>", "<");
-        } catch (PluginImplementationException e) {
+            PlugUtils.checkName(httpFile, contentAsString, "Filename:\n<strong>", "</strong>");
+        } catch (PluginImplementationException e1) {
             try {
-                PlugUtils.checkName(httpFile, contentAsString, "Filename: <strong>", "</strong>");
-            } catch (PluginImplementationException e2) {
-                PlugUtils.checkName(httpFile, contentAsString, "<div id=\"fname\">", "</div>");
+                PlugUtils.checkName(httpFile, contentAsString, "link_name\n=\n'", "'");
             }
+            catch (PluginImplementationException e2) {
+                logger.warning("File name was not found" + getContentAsString());
+                throw new PluginImplementationException("File name was not found on the page content");
+            }
         }
         try {
-            PlugUtils.checkFileSize(httpFile, contentAsString, "Size:</th>\n<td>", "<");
-        } catch (Exception e) {
+            PlugUtils.checkFileSize(httpFile, contentAsString, "File size:\n<strong>", "</strong>");
+        } catch (Exception e1) {
             try {
-                PlugUtils.checkFileSize(httpFile, contentAsString, "File size: <strong>", "</strong>");
-            } catch (Exception e2) {
-                PlugUtils.checkFileSize(httpFile, contentAsString, "<div id=\"fsize_div\">", "</div>");
+                PlugUtils.checkFileSize(httpFile, contentAsString, "fsize\n=\n'", "'");
             }
+            catch (PluginImplementationException e2) {
+                logger.warning("File size was not found" + getContentAsString());
+                throw new PluginImplementationException("File size was not found on the page content");
+            }
         }
         httpFile.setFileState(FileState.CHECKED_AND_EXISTING);
     }
Index: src/sharingmatrix/plugin.xml
===================================================================
--- src/sharingmatrix/plugin.xml	(revision 2406)
+++ src/sharingmatrix/plugin.xml	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" ?>
 <!DOCTYPE plugin PUBLIC "-//JPF//Java Plug-in Manifest 1.0" "http://jpf.sourceforge.net/plugin_1_0.dtd">
-<plugin id="sharingmatrix.com" version="0.6.9" vendor="Kajda+JPEXS+RickCL+codeboy2k"
+<plugin id="sharingmatrix.com" version="0.6.10" vendor="Kajda+JPEXS+RickCL+codeboy2k"
         class="cz.vity.freerapid.plugins.services.sharingmatrix.SharingMatrixServiceImpl">
     <attributes>
         <attribute id="urlRegex" value="http://(www\d?\.)?sharingmatrix\.com/file/.+"/>

